Bug 237975 - Add /usr/lib/libgomp.so symlink on Clang architectures
Summary: Add /usr/lib/libgomp.so symlink on Clang architectures
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-toolchain mailing list
URL:
Keywords: patch
Depends on:
Blocks: 236062
  Show dependency treegraph
 
Reported: 2019-05-19 03:04 UTC by Jan Beich
Modified: 2019-05-23 16:05 UTC (History)
3 users (show)

See Also:
dim: mfc-stable11+
dim: mfc-stable12+


Attachments
fix (336 bytes, patch)
2019-05-19 03:04 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2019-05-19 03:04:43 UTC
Created attachment 204459 [details]
fix

To avoid unnecessarily modifying ports it'd be nice to have -lgomp symlink since GCC doesn't ship -lomp symlink.

$ rg --sort-files -F libgomp.so:
graphics/gmic/Makefile
44:OPENMP_LIB_DEPENDS=  libgomp.so:devel/openmp

lang/J/Makefile
42:OPENMP_LIB_DEPENDS=  libgomp.so:lang/gcc7

science/gabedit/Makefile
43:OPENMP_LIB_DEPENDS=  libgomp.so:devel/openmp

science/py-GPy/Makefile
17:LIB_DEPENDS= libgomp.so:devel/openmp

science/py-phono3py/Makefile
22:LIB_DEPENDS= libgomp.so:devel/openmp \
Comment 1 commit-hook freebsd_committer 2019-05-19 20:14:17 UTC
A commit references this bug:

Author: dim
Date: Sun May 19 20:13:55 UTC 2019
New revision: 347979
URL: https://svnweb.freebsd.org/changeset/base/347979

Log:
  To avoid unnecessarily modifying ports, add a -lgomp symlink, since GCC
  does not ship a -lomp symlink.  Also update OptionalObsoleteFiles for
  this, and add 32-bit variants while here.

  Submitted by:	jbeich
  PR:		237975
  MFC after:	3 days

Changes:
  head/lib/libomp/Makefile
  head/tools/build/mk/OptionalObsoleteFiles.inc
Comment 2 commit-hook freebsd_committer 2019-05-22 17:42:38 UTC
A commit references this bug:

Author: dim
Date: Wed May 22 17:42:23 UTC 2019
New revision: 348116
URL: https://svnweb.freebsd.org/changeset/base/348116

Log:
  MFC r347978:

  Fix OptionalObsoleteFiles copy/paste mistake from r345236, which
  connected libomp to the build.  The comparison should not have been
  against ${MK_OPENSSH}, but against ${MK_OPENMP}, obviously.

  MFC r347979:

  To avoid unnecessarily modifying ports, add a -lgomp symlink, since GCC
  does not ship a -lomp symlink.  Also update OptionalObsoleteFiles for
  this, and add 32-bit variants while here.

  Submitted by:	jbeich
  PR:		237975

Changes:
_U  stable/12/
  stable/12/lib/libomp/Makefile
  stable/12/tools/build/mk/OptionalObsoleteFiles.inc
Comment 3 commit-hook freebsd_committer 2019-05-22 19:40:11 UTC
A commit references this bug:

Author: dim
Date: Wed May 22 19:39:56 UTC 2019
New revision: 348118
URL: https://svnweb.freebsd.org/changeset/base/348118

Log:
  MFC r347978:

  Fix OptionalObsoleteFiles copy/paste mistake from r345236, which
  connected libomp to the build.  The comparison should not have been
  against ${MK_OPENSSH}, but against ${MK_OPENMP}, obviously.

  MFC r347979:

  To avoid unnecessarily modifying ports, add a -lgomp symlink, since GCC
  does not ship a -lomp symlink.  Also update OptionalObsoleteFiles for
  this, and add 32-bit variants while here.

  Approved by:	re (gjb)
  Submitted by:	jbeich
  PR:		237975

Changes:
_U  stable/11/
  stable/11/lib/libomp/Makefile
  stable/11/tools/build/mk/OptionalObsoleteFiles.inc
Comment 4 Jan Beich freebsd_committer 2019-05-23 16:05:17 UTC
FWIW, devel/openmp also provides libiomp5.so symlink for compatibility with the old library name[1]. As only science/openmx was affected I've proposed to fix[2] downstream patch instead.

[1] https://reviews.llvm.org/rL238715
[2] https://lists.freebsd.org/pipermail/svn-ports-head/2019-May/209631.html